Subject: Re: bug#11749: Acknowledgement (24.1; C-mode indentation gives wrong-type-argument error.)

From: Michael Welsh Duggan <[email-masked]>
Date: Thu, 06 Sep 2012 23:45:48 -0400

Alan Mackenzie <[email-masked]> writes:

> Hello, Kim.
>
> On Mon, Sep 03, 2012 at 11:47:00AM +0200, Kim Storm wrote:
>> On 2012-09-02 23:16, Alan Mackenzie wrote:
>> > Yes. It looks like the "state cache" (a cache of certain brace, paren 
>> > and bracket positions) has got corrupted.
>> > This is difficult to make repeatable, and is very dependent upon the 
>> > exact navigation taken around the C buffer.
>> Well - my navigation triggers that bug a lot.
>
> It's strange that it doesn't seem to be happening much to other people.

It happens to me irregularly.  There is generally no way to re-create
it, so I've stopped reporting these.  I wish there were some way to
record all actions in c-mode buffers such that they could be saved and
re-played when this type of problem happens.  If there were some sort of
debug flag I could turn on, I would turn it on by default and hopefully
be able to catch some useful information.

-- 
Michael Welsh Duggan
([email-masked])